summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2018-02-09 21:07:03 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2018-02-09 21:07:03 +0100
commit99aaf2f504fb49057f43a5840de3657bbe508b1f (patch)
treeb825f269602d79c4038c0556bb7ad24465f7975d /media-libs
parentnetbeans: bumped to the latest nightly sources (diff)
downloadfordfrog-99aaf2f504fb49057f43a5840de3657bbe508b1f.tar.gz
fordfrog-99aaf2f504fb49057f43a5840de3657bbe508b1f.tar.bz2
fordfrog-99aaf2f504fb49057f43a5840de3657bbe508b1f.zip
media-libs/coin: added live ebuild using cmake build system
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --force
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/coin/Manifest4
-rw-r--r--media-libs/coin/coin-9999.ebuild88
-rw-r--r--media-libs/coin/files/coin-3.1.3-freetype251.patch28
-rw-r--r--media-libs/coin/files/coin-3.1.3-gcc-4.7.patch10
-rw-r--r--media-libs/coin/files/coin-3.1.3-pkgconfig-partial.patch13
5 files changed, 143 insertions, 0 deletions
diff --git a/media-libs/coin/Manifest b/media-libs/coin/Manifest
new file mode 100644
index 000000000..cef39a3b9
--- /dev/null
+++ b/media-libs/coin/Manifest
@@ -0,0 +1,4 @@
+AUX coin-3.1.3-freetype251.patch 767 BLAKE2B ff0fef5f0c91f0ae9f803f363bb6777d4f8b19510bb23b7ed2635ecd9b765532377351ed28163d8184b8c827f8d0ea54168ca05c49d1564b2f26c4b9166fc0af SHA512 f8ea66a6a21c3b20b221b4b7830feb411295e5207d0f5419183c85bfd8ae52b923f2b202f070482f1c61d4acb86b1f74d4a1ee77b09f6b86d95602db4e2c2406
+AUX coin-3.1.3-gcc-4.7.patch 347 BLAKE2B 4129b651164fd35e18469143c0728e67456ecdc04fc54899d5084212c125ff753a6240ce9e05936dc00934f76bdcd2f60607f3cbd7a6f3114616a2c947a624c5 SHA512 d6f93526203a5c2f787cb03ea34214921daf49e324f867745d6bdc1c24c78359c305396d86cdbf8590b7f1610ef558390b6aba6c488052435896f089ea71d590
+AUX coin-3.1.3-pkgconfig-partial.patch 423 BLAKE2B 2c702f661b8cceeace10340c2e219ff737d86824ce1a6cb5bd93721e91304a1064aeb0168e02d061cde1d57ba0b0b58207b0488f88b33c765678c936dc92be83 SHA512 6d7025081eb390be803267a7199a5af6834c55c3edf0b447df4409520aec5eef7dfa42ecae8c3abc3b4154bb620572fd032bfa50fc8185fa33460c57cb92d205
+EBUILD coin-9999.ebuild 2367 BLAKE2B d73836e787c5fdcea9324acef97322d68746a43f2997683ea185de1b936abb80e25ce0fabba1f49d8397cc251841d01f6d159e37a8515784bea1b1a79785159b SHA512 c27432df2ed822fbe5dee1ecd4094f098e694e4fd630aeb998939b3d64dfcf060571694ecb7f9051491c7ff80fcc441f7bc6fd50ce8dbac922c4ed0861375a5f
diff --git a/media-libs/coin/coin-9999.ebuild b/media-libs/coin/coin-9999.ebuild
new file mode 100644
index 000000000..86f1da8e5
--- /dev/null
+++ b/media-libs/coin/coin-9999.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils mercurial
+
+MY_P=${P/c/C}
+
+DESCRIPTION="A high-level 3D graphics toolkit, fully compatible with SGI Open Inventor 2.1"
+HOMEPAGE="https://bitbucket.org/Coin3D/coin/wiki/Home"
+
+COIN_REPO_URI="https://bitbucket.org/Coin3D/coin"
+GENERALMSVCGENERATION_REPO_URI="https://bitbucket.org/Coin3D/generalmsvcgeneration"
+BOOSTHEADERLIBSFULL_REPO_URI="https://bitbucket.org/Coin3D/boost-header-libs-full"
+
+LICENSE="|| ( GPL-2 PEL )"
+KEYWORDS=""
+SLOT="0"
+IUSE="+3ds-import doc +dragger +javascript +manipulator +nodekit +openal +simage static-libs threads +vrml97"
+
+# NOTE: expat is not really needed as --enable-system-expat is broken
+# avi, guile, jpeg2000, pic, rgb, tga, xwd not added (did not find where the support is)
+RDEPEND="
+ app-arch/bzip2
+ dev-libs/expat
+ media-libs/fontconfig
+ media-libs/freetype:2
+ sys-libs/zlib
+ virtual/opengl
+ virtual/glu
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ javascript? ( dev-lang/spidermonkey:0 )
+ openal? ( media-libs/openal )
+ simage? ( media-libs/simage )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ x11-proto/xextproto
+ doc? ( app-doc/doxygen )
+"
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1.3-pkgconfig-partial.patch
+ "${FILESDIR}"/${PN}-3.1.3-gcc-4.7.patch
+ "${FILESDIR}"/${PN}-3.1.3-freetype251.patch
+)
+
+DOCS=(
+ AUTHORS FAQ FAQ.legal NEWS README RELNOTES THANKS
+ docs/{HACKING,oiki-launch.txt}
+)
+
+src_unpack() {
+ EHG_REPO_URI=${GENERALMSVCGENERATION_REPO_URI}
+ EHG_CHECKOUT_DIR="${WORKDIR}/generalmsvcgeneration"
+ mercurial_fetch
+
+ EHG_REPO_URI=${BOOSTHEADERLIBSFULL_REPO_URI}
+ EHG_CHECKOUT_DIR="${WORKDIR}/boost-header-libs-full"
+ mercurial_fetch
+
+ EHG_REPO_URI=${COIN_REPO_URI}
+ EHG_CHECKOUT_DIR="${S}"
+ EHG_REVISION="CMake"
+ mercurial_fetch
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DHAVE_3DS_IMPORT_CAPABILITIES=$(usex 3ds-import YES NO)
+ -DHAVE_MAN=$(usex doc YES NO)
+ -DHAVE_DRAGGERS=$(usex dragger YES NO)
+ -DCOIN_HAVE_JAVASCRIPT=$(usex javascript YES NO)
+ -DHAVE_MANIPULATORS=$(usex manipulator YES NO)
+ -DHAVE_NODEKITS=$(usex nodekit YES NO)
+ -DHAVE_SOUND=$(usex openal YES NO)
+ -DSIMAGE_RUNTIME_LINKING=$(usex simage YES NO)
+ -DCOIN_THREADSAFE=$(usex threads YES NO)
+ -DHAVE_VRML97=$(usex vrml97 YES NO)
+ )
+
+ cmake-utils_src_configure
+}
diff --git a/media-libs/coin/files/coin-3.1.3-freetype251.patch b/media-libs/coin/files/coin-3.1.3-freetype251.patch
new file mode 100644
index 000000000..44e8eefb1
--- /dev/null
+++ b/media-libs/coin/files/coin-3.1.3-freetype251.patch
@@ -0,0 +1,28 @@
+--- Coin-3.1.3/src/glue/freetype.cpp
++++ Coin-3.1.3/src/glue/freetype.cpp
+@@ -52,9 +52,9 @@
+ #ifdef HAVE_FREETYPE /* In case we're _not_ doing runtime linking. */
+ #define FREETYPEGLUE_ASSUME_FREETYPE 1
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
+ #endif /* FREETYPEGLUE_ASSUME_FREETYPE */
+
+ #include <Inventor/C/basic.h>
+--- Coin-3.1.3/src/glue/freetype.h
++++ Coin-3.1.3/src/glue/freetype.h
+@@ -87,8 +87,8 @@
+
+ #ifdef HAVE_FREETYPE
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
+ #else /* HAVE_FREETYPE */
+
+ #include <Inventor/C/basic.h>
diff --git a/media-libs/coin/files/coin-3.1.3-gcc-4.7.patch b/media-libs/coin/files/coin-3.1.3-gcc-4.7.patch
new file mode 100644
index 000000000..fd2430903
--- /dev/null
+++ b/media-libs/coin/files/coin-3.1.3-gcc-4.7.patch
@@ -0,0 +1,10 @@
+--- coin3-3.1.3.orig/include/Inventor/SbBasic.h
++++ coin3-3.1.3/include/Inventor/SbBasic.h
+@@ -24,6 +24,7 @@
+ *
+ \**************************************************************************/
+
++#include <Inventor/C/errors/debugerror.h>
+ #include <Inventor/C/basic.h>
+
+ /* ********************************************************************** */
diff --git a/media-libs/coin/files/coin-3.1.3-pkgconfig-partial.patch b/media-libs/coin/files/coin-3.1.3-pkgconfig-partial.patch
new file mode 100644
index 000000000..40b5c17e7
--- /dev/null
+++ b/media-libs/coin/files/coin-3.1.3-pkgconfig-partial.patch
@@ -0,0 +1,13 @@
+diff -ru a/Coin.pc.in b/Coin.pc.in
+--- a/Coin.pc.in 2010-03-02 14:20:09.000000000 +0100
++++ b/Coin.pc.in 2010-06-28 19:27:59.634534460 +0200
+@@ -10,7 +10,8 @@
+ Version: @COIN_VERSION@
+ Requires:
+ Conflicts:
+-Libs: -L${libdir} @COIN_EXTRA_LDFLAGS@ @COIN_EXTRA_LIBS@
++Libs: -L${libdir} -lCoin
++Libs.private: -L${libdir} @COIN_EXTRA_LIBS@
+ Cflags: -I${includedir} @COIN_EXTRA_CFLAGS@ @COIN_EXTRA_CPPFLAGS@
+
+ coin_host=@host@